none
PCNS for FIM 2010 RRS feed

  • Question

  • Hi,

    I am upgrading our existing MIIS 2003 SP1 to FIM 2010 and for the first phase we are using the FIM Synchronization Service only. We will be deploying the FIM portal at a later stage. We use MIIS for synchronizing data between AD, ADLDS, SQL Server, Group Management and Password Synchronization between AD and ADLDS. Our AD domain controller is Windows Server 2003.

    When we upgrade to FIM 2010 do I have to do a re-install PCNS on my DCs again? Please advise.

    Thanks for your help.

    Tuesday, May 10, 2011 8:08 PM

Answers

  • AFAIK, no, you don't need to reinstall PCNS.

    PCNS is not directly dependent on the build of the sync engine.
    Basically it just handles the password changes on AD and forwards them to the sync engine.

    So the PCNS version rather depends on the AD DC platform (x32 vs x64 ...)

    The best proof of this is the PCNS download package, which says

    "The Microsoft Password Change Notification Service enables synchronization of password changes in Active Directory to Microsoft Identity Integration Server 2003 (MIIS), Identity Lifecycle Manager 2007 (ILM), Forefront Identity Manager 2010 (FIM) or the Microsoft Enterprise Single Sign-On (ENTSSO) service. These components simplify password management in organizations with multiple user identity repositories."

    And also:"

    • Supported Operating Systems:Windows 2000 Server;Windows Server 2003;Windows Server 2008
    • Windows Server 2000 SP4
    • Windows Server 2003 SP2 x86, x64
    • Windows Server 2003 R2 x86, x64
    • Windows Server 2008 RTM x86, x64
    • Windows Server 2008 SP2 x86, x64
    • Windows Server 2008 R2 x64
    • Windows Server 2008 Core"

    HTH, Kind regards,
    Peter


    Peter Geelen (Traxion) - Sr. Consultant IDA (http://www.fim2010.be)

    [If a post helps to resolve your issue, please click the "Mark as Answer" of that post or "Helpful" button of that post.
    By marking a post as Answered or Helpful, you help others find the answer faster.]
    Tuesday, May 10, 2011 9:01 PM
    Moderator

All replies

  • AFAIK, no, you don't need to reinstall PCNS.

    PCNS is not directly dependent on the build of the sync engine.
    Basically it just handles the password changes on AD and forwards them to the sync engine.

    So the PCNS version rather depends on the AD DC platform (x32 vs x64 ...)

    The best proof of this is the PCNS download package, which says

    "The Microsoft Password Change Notification Service enables synchronization of password changes in Active Directory to Microsoft Identity Integration Server 2003 (MIIS), Identity Lifecycle Manager 2007 (ILM), Forefront Identity Manager 2010 (FIM) or the Microsoft Enterprise Single Sign-On (ENTSSO) service. These components simplify password management in organizations with multiple user identity repositories."

    And also:"

    • Supported Operating Systems:Windows 2000 Server;Windows Server 2003;Windows Server 2008
    • Windows Server 2000 SP4
    • Windows Server 2003 SP2 x86, x64
    • Windows Server 2003 R2 x86, x64
    • Windows Server 2008 RTM x86, x64
    • Windows Server 2008 SP2 x86, x64
    • Windows Server 2008 R2 x64
    • Windows Server 2008 Core"

    HTH, Kind regards,
    Peter


    Peter Geelen (Traxion) - Sr. Consultant IDA (http://www.fim2010.be)

    [If a post helps to resolve your issue, please click the "Mark as Answer" of that post or "Helpful" button of that post.
    By marking a post as Answered or Helpful, you help others find the answer faster.]
    Tuesday, May 10, 2011 9:01 PM
    Moderator
  • Thank you.
    Thursday, June 9, 2011 6:21 PM